ALLOC_PAGES_EXACT_NI(9)

NAME
alloc_pages_exact_nid - allocate an exact number of physically-contiguous pages on a node.

SYNOPSIS

void * alloc_pages_exact_nid(int nid, size_t size, gfp_t gfp_mask);

ARGUMENTS

nid
    the preferred node ID where memory should be allocated

size
    the number of bytes to allocate

gfp_mask
    GFP flags for the allocation

DESCRIPTION

Like alloc_pages_exact, but try to allocate on node nid first before falling back. Note this is not alloc_pages_exact_node which allocates on a specific node, but is not exact.

COPYRIGHT